//Copyright (C) 2000 Microsoft Corporation.  All rights reserved.

//This source code is intended only as a supplement to Microsoft
//Development Tools and/or on-line documentation.  See these other
//materials for detailed information regarding Microsoft code samples.

//THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//PARTICULAR PURPOSE.


namespace MdiBaseSimple
{
	using System;
	using System.Drawing;
	using System.Drawing.Printing;

	using System.Collections;
	using System.ComponentModel;
	using System.Windows.Forms;


	/// <summary>
	///    Summary description for Form1.
	/// </summary>
	public class MdiMainForm : System.Windows.Forms.Form
	{
		
		//protected MdiDoc MdiDoc;
		//protected MdiView MdiActiveView;
		/// <summary> 
		///    Required designer variable
		/// </summary>
		/// 
		private System.ComponentModel.IContainer MdiComponents;

		/// <summary>
		///   Constructor
		/// </summary>
		public MdiMainForm()
		{        
			//
			// Required for Win Form Designer support
			// Change name so that base class initialization
			// is not overriden by extended class.
			MdiInitializeComponent();

			Context.MainForm = this;

		}

		/// <summary>
		///    Clean up any resources being used
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (MdiComponents != null) 
				{
					MdiComponents.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private void InitializeComponent()
		{
			// 
			// MdiMainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 266);
			this.Name = "MdiMainForm";

		}

		
		private void MdiInitializeComponent()
		{
			this.MdiComponents = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MdiMainForm));
			this.SuspendLayout();
			// 
			// MdiMainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.Color.Firebrick;
			this.ClientSize = new System.Drawing.Size(432, 425);
			this.Name = "MdiMainForm";
			this.Text = "Mdi sample Application";
			this.ResumeLayout(false);
	
		}


		private MdiContext m_context = new MdiContext();
		public MdiContext Context 
		{
			get 
			{
				return m_context;
			}
		}

	}
}
